import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NotificationTypesSchema } from '../enums/NotificationTypes.schema'

const nestedenumnotificationtypesfilterSchema = z.object({
  equals: NotificationTypesSchema.optional(),
  in: NotificationTypesSchema.array().optional(),
  notIn: NotificationTypesSchema.array().optional(),
  not: z.union([NotificationTypesSchema, z.lazy(() => NestedEnumNotificationTypesFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumNotificationTypesFilterObjectSchema: z.ZodType<Prisma.NestedEnumNotificationTypesFilter> = nestedenumnotificationtypesfilterSchema as unknown as z.ZodType<Prisma.NestedEnumNotificationTypesFilter>;
export const NestedEnumNotificationTypesFilterObjectZodSchema = nestedenumnotificationtypesfilterSchema;
